Subject: Re: bug#20150: 24.4: bookmarks: return from editing annotations (FIX INCLUDED)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Jul 2019 16:24:56 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sat, 13 Jul 2019 15:09:39 +0200
> Cc: [email-masked]
> 
> > Hmm... we declare a non-internal variable obsolete and replace it with
> > an internal variable?  Why is that a good idea?  Does the new variable
> > have to be internal?
> 
> I thought about it a bit more, and I guess it doesn't have to be internal.  I
> suggest that the new variable should be kept internal for now though.

You mean, it doesn't have to be obsolete?

> I also don't know why I named the new variable bookmark-annotation--name, so
> I've changed that to bookmark--annotation-name to better reflect current
> practices.

Hmm... I don't see bookmark--annotation-name in the patch.  Did you
send the correct patch?